Subject: Re: p5-XML-Parser-2.30 doesn't work?
To: Paul Hoffman <>
From: Chris Pinnock <>
List: tech-pkg
Date: 12/13/2002 13:29:41
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Dec 12, 2002 at 07:23:35PM -0800, Paul Hoffman wrote:
> Hi. I just installed from binary textproc/expat-1.95.2 and=20
> textproc/p5-XML-Parser-2.30. A one-line Perl program that says 'use=20
> XML::Parser;' fails checking:
> Can't load=20
> '/usr/pkg/lib/perl5/site_perl/5.8.0/i386-netbsd/auto/XML/Parser/Expat/Exp='=20
> for module XML::Parser::Expat: Shared object "" not=20
> found at /usr/pkg/lib/perl5/5.8.0/i386-netbsd/ line 229.
>   at /usr/pkg/lib/perl5/site_perl/5.8.0/i386-netbsd/XML/ line 15
> Compilation failed in require at=20
> /usr/pkg/lib/perl5/site_perl/5.8.0/i386-netbsd/XML/ line 15.
> BEGIN failed--compilation aborted at=20
> /usr/pkg/lib/perl5/site_perl/5.8.0/i386-netbsd/XML/ line 19.
> Compilation failed in require at foo line 3.
> BEGIN failed--compilation aborted at foo line 3.

Seems to work for me (although I'm using perl 5.6.1):=20
tubbs% perl -e "use XML::Parser;"

Can you do "pkg_info -L p5-XML-Parser" to see where the files are
installed? (BTW, there's also a newer version in pkgsrc.)

Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.0.6 (NetBSD)
Comment: For info see